关闭

Python Version 2.7 required which was not found in the registry

标签: pythonmysql数据库64位MySQLdb
2951人阅读 评论(0) 收藏 举报
分类:

在使用“MySQLdb”操作MySQL数据库时,提示错误:ERR import MySQLdb ImportError: No module named MySQLdb

然后去下载安装包“MySQL-python-1.2.5.win32-py2.7.exe”,但安装的时候提示:Python Version 2.7 required which was not found in the registry


经过搜索发现是版本的问题,我查看自己安装的Python版本,发现是64位的,而下载的MySQL-python是32位的。

这个问题不需要纠结,直接去下载64位的安装包就OK了。




1
0
查看评论
发表评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场

python升级导致yum命令无法使用的解决办法(修改版)

1、报错信息如下: [root@develop bin]# yum [root@develop local]# yum -y install prce There was a problem imp...
  • EI__Nino
  • EI__Nino
  • 2013-01-11 23:23
  • 60494

cocos 游戏移植到 Windows10 之路 -- 环境搭建

公司项目和微软签订了协议,有Xbox One,Win10,WP8.1三个版本,最近在开发这些。国内对于这三种开发的文章可以说是很少,WP8的文章可能会有一些。国内这方面的的技术人员还是很欠缺的。给wi...
  • u011718663
  • u011718663
  • 2015-10-08 09:54
  • 1490

xcode编译时,有第三方库时,编译设置build active architecture only问题

1、http://blog.csdn.net/dengdengxiximeimei/article/details/8845621   关于Build Active Architectur...
  • ysysbaobei
  • ysysbaobei
  • 2013-11-17 18:33
  • 23711

Python version 2.7 required, which was not found in the registry

转自:http://www.cnblogs.com/min0208/archive/2012/05/24/2515584.html 安装setuptools的时候,不能再注册表中识别出来pyth...
  • jinjian2009
  • jinjian2009
  • 2013-08-23 00:06
  • 1155

python version 2.7 required,which was not found in the registry

安装MySQL-python-1.2.5.win32-py2.7 (64位系统也可以安装)时,出现问题:python version 2.7 required,which was not found ...
  • xidianliutingting
  • xidianliutingting
  • 2016-08-02 11:57
  • 218

解决安装MySQL-python出现的:Python version 2.7 required, which was not found in the registry

安装MySQL-python-1.2.3.win-amd64-py2.7.exe,时提示:Python version 2.7 required, which was not found in the...
  • xhwwc110
  • xhwwc110
  • 2014-10-27 23:54
  • 7527

安装cx_Oracle报错python version 3.4 required, which was not found in the registry

在安装https://pypi.python.org/pypi/cx_Oracle/5.2.1#downloads 下载了cx_Oracle,安装时提示python version 3.4 requi...
  • cakecc2008
  • cakecc2008
  • 2017-01-03 16:59
  • 1542

64位系统装32位的Python,Python version 3.5 required, which was not found,DLL load failed

64位系统装了32位的Python,安装exe格式对应python版本相关的包,报错:Python version 3.5 required, which was not found in the...
  • comzhong
  • comzhong
  • 2017-03-09 14:45
  • 1261

has unsupported major or minor version numbers, which are greater than those found in the Java Runti

Class ceilometer.services.LocalIDFactory has unsupported major or minor version numbers, which are g...
  • a105421548
  • a105421548
  • 2015-04-17 10:37
  • 1424

解决“Python version 2.7 required..”的注册表

  • 2015-05-24 14:29
  • 1KB
  • 下载
    联系我

    IT十年-0群:(170273637)Hot

    IT十年-1群:(170272290)

    IT十年-2群:(165600467)

    加群暗号:微wx笑

    个人资料
    • 访问:9732722次
    • 积分:68387
    • 等级:
    • 排名:第33名
    • 原创:872篇
    • 转载:242篇
    • 译文:53篇
    • 评论:1967条
    博客专栏
    文章分类
    最新评论
    友情链接